import chinaMap from '@/utils/china.json';
const mapOption = ({data,element})=>{
	let main = document.getElementById(element)
	
	echartsV4.registerMap('china', chinaMap)
	
	const myChart = echartsV4.init(main);
	function randomData() {
	    return Math.round(Math.random()*1000);
	}
	var option = {
    tooltip: {
        trigger: 'item',
		formatter: function(params,ticket,callback) {
			if(params.value) {
					return params.name + ": " + params.value;
			}
			return params.name + ": 无";
		}
    },
    legend: {
        orient: 'vertical',
        left: 'left',
    },
    visualMap: {
        min: 0,
        max: 2500,
        left: 'left',
        bottom: '-2%',
		itemHeight:80,
        text: ['高','低'],           // 文本，默认为数值文本
        calculable: true,
		color:[
			'#075da6',
			'#EEF5FA',
		]
    },
    toolbox: {
        show: true,
        orient: 'vertical',
        left: 'right',
        top: 'center',
        feature: {
            dataView: {readOnly: false},
            restore: {},
            // saveAsImage: {}
        }
    },
    series: [
        {
            type: 'map',
            mapType: 'china',
            roam: true,
			top:'40',
			showLegendSymbol:false,//小红点
			// layoutCenter: ['40%', '40%'],
			// layoutSize: 200,
            label: {
                normal: {
                    show: false 
                },
                emphasis: {
                    show: true
                }
            },
            data: data
        }
       
    ]
};
	myChart.on('click', function (params,e) {
		let entname = getUrlSearch("entname");
		const source = element.split('-')[0];
		// switch (source){
		// 	case 'inverst':
		// 		uni.navigateTo({
		// 			url: `/pages/entSearchModule/inverst/list?entname=${entname}&type=2`
		// 		});
		// 		break;
		// 	case 'judge':
		// 		uni.navigateTo({
		// 			url: `/pages/commonentModule/judge/list?entname=${entname}&type=2`
		// 		});
		// 		break;
		// 	default:
		// 		break;
		// }
	})
	
	myChart.setOption(option);
}

function getUrlSearch(name) {
  // 未传参，返回空
  if (!name) return null;
  // 查询参数：先通过search取值，如果取不到就通过hash来取
  var after = window.location.search;
  after = after.substr(1) || window.location.hash.split('?')[1];
  // 地址栏URL没有查询参数，返回空
  if (!after) return null;
  // 如果查询参数中没有"name"，返回空
  if (after.indexOf(name) === -1) return null;
 
  var reg = new RegExp('(^|&)' + name + '=([^&]*)(&|$)');
  // 当地址栏参数存在中文时，需要解码，不然会乱码
  var r = decodeURI(after).match(reg);
  // 如果url中"name"没有值，返回空
  if (!r) return null;
 
  return r[2];
}
export default mapOption